# Class FileUploader

### Hierarchy

- FileUploader

### Constructors

- constructor

### Methods

- uploadFile

## Constructors

### constructor

- new FileUploader(appLoc: string, serverUrl: string, jobsPath: string, requestClient: RequestClient): FileUploader

- - Defined in src/FileUploader.ts:6

  #### Parameters

  - ##### appLoc: string

  - ##### serverUrl: string

  - ##### jobsPath: string

  - ##### requestClient: RequestClient

  #### Returns FileUploader

## Methods

### uploadFile

- uploadFile(sasJob: string, files: UploadFile[], params: any): Promise<any>

- - Defined in src/FileUploader.ts:16

  #### Parameters

  - ##### sasJob: string

  - ##### files: UploadFile[]

  - ##### params: any

  #### Returns Promise<any>

Generated using TypeDoc